Bug 622448 - incorrect label on boinc client init script
incorrect label on boinc client init script
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 08:07 EDT by Milos Malik
Modified: 2012-10-16 08:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-37.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:36:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2010-08-09 08:07:33 EDT
Description of problem:
boinc-client package (which is available from RHEL-6 EPEL repo) contains an init script with '-' in its name, but selinux-policy expects '_' in the name.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.7.19-36.el6.noarch
selinux-policy-3.7.19-36.el6.noarch
boinc-client-6.10.45-1.r21128svn.el6

How reproducible:
always

Steps to Reproduce:
# ls -Z /etc/rc.d/init.d/boinc-client 
-rwxr-xr-x. root root system_u:object_r:initrc_exec_t:s0 /etc/rc.d/init.d/boinc-client
# ls -Z /etc/rc.d/init.d/boinc_client 
ls: cannot access /etc/rc.d/init.d/boinc_client: No such file or directory
# matchpathcon /etc/rc.d/init.d/boinc-client
/etc/rc.d/init.d/boinc-client   system_u:object_r:initrc_exec_t:s0
# matchpathcon /etc/rc.d/init.d/boinc_client
/etc/rc.d/init.d/boinc_client   system_u:object_r:boinc_initrc_exec_t:s0

  
Actual results:
the init script is labelled incorrectly

Expected results:
the init script is labelled correctly
Comment 1 Miroslav Grepl 2010-08-09 08:46:20 EDT
I am fixing the label to

/etc/rc\.d/init\.d/boinc-client     --  gen_context(system_u:object_r:boinc_initrc_exec_t,s0)
Comment 2 Miroslav Grepl 2010-08-10 14:13:14 EDT
Fixed in selinux-policy-3.7.19-37.el6.noarch
Comment 4 releng-rhel@redhat.com 2010-11-10 16:36:05 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.